Bug 99230 - kscd fails to read freedb entries
kscd fails to read freedb entries
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 06:15 EDT by Dave Shield
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:18:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Shield 2003-07-16 06:15:16 EDT
Description of problem:
When playing CDs via kscd, it never retrieves the track listings from
the freedb.freedb.org servers (or mirrors) via either HTTP or CDDBP
Checking the DiscID on the FreeDB web interface, confirms that the
disc is known.

Kscd also prints a number of info & error messages, of which this
looks possibly the most relevalt
     CDTEXT ERROR: READ_TOC(0x43) with format code 0x05 not implemented
     or broken. ret = -1!


Version-Release number of selected component (if applicable): 3.1-4

How reproducible:
Consistently

Steps to Reproduce:
1. Insert CD
2. Run kscd
3.
    
Actual results:
"No matching freedb entry found"

Expected results:
Track listing details.

Additional info:
Tried with
   freedb.freedb.org http 80 /~cddb/cddb.cgi
   freedb.freedb.org cddbp 8880
   uk.freedb.org cddbp 8880

Initial connection did return a full list of mirrors, so network
connectivity seems OK.   It's just querying the database that fails.
Comment 1 Petr Rockai 2006-07-17 14:42:42 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:18:21 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.